diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/config/unix/mlUnix.ml ./src/config/unix/mlUnix.ml
--- ./src/config/unix/mlUnix.ml	2005-12-02 13:08:26.000000000 +0100
+++ ./src/config/unix/mlUnix.ml	2005-12-13 13:49:47.000000000 +0100
@@ -36,7 +36,6 @@
                   Unix.close in_read;
                   Unix.close out_write;
                   Unix.execvp cmd args;
-                  exit 127
                 with e -> 
                     Printf.eprintf "Exception %s in exec_command\n"
                       (Printexc2.to_string e) ; 
@@ -85,7 +84,6 @@
 			Unix.execv cmd args;
 		    | Some env ->
 			Unix.execve cmd args env;
-                  exit 0
                 with e -> 
                     lprintf "Exception %s while starting file_completed_cmd\n" (Printexc2.to_string e); 
                     exit 127
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/chat/chat_proto.ml ./src/daemon/chat/chat_proto.ml
--- ./src/daemon/chat/chat_proto.ml	2003-04-23 00:33:39.000000000 +0200
+++ ./src/daemon/chat/chat_proto.ml	2005-12-13 13:49:47.000000000 +0100
@@ -109,7 +109,6 @@
       | "MESSAGE" ->
 	  let length = int_of_string (il getline) in
 	  let s = String.create length in
-	  let n = input s 0 length in
 	  Message s
       |	"ROOM_MESSAGE" ->
 	  let name = getline () in
@@ -130,7 +129,6 @@
 	  let people = iter [] 0 in
 	  let length = int_of_string (il getline) in
 	  let s = String.create length in
-	  let n = input s 0 length in
 	  RoomMessage (name, people, s)
 
       | "ADD_OPEN" ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonClient.ml ./src/daemon/common/commonClient.ml
--- ./src/daemon/common/commonClient.ml	2005-11-19 17:11:37.000000000 +0100
+++ ./src/daemon/common/commonClient.ml	2005-12-13 13:49:47.000000000 +0100
@@ -407,7 +407,6 @@
 
 let client_print_html c o =
   let impl = as_client_impl c in
-  let i = client_info c in
   let n = impl.impl_client_ops.op_client_network in
   let info = client_info c in
   let buf = o.conn_buf in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonFile.ml ./src/daemon/common/commonFile.ml
--- ./src/daemon/common/commonFile.ml	2005-12-06 20:34:04.000000000 +0100
+++ ./src/daemon/common/commonFile.ml	2005-12-13 13:49:47.000000000 +0100
@@ -446,7 +446,6 @@
 module G = GuiTypes
 
 let file_downloaders file o cnt =
-  let buf = o.conn_buf in
 
       let srcs = file_active_sources file in
       let counter = ref cnt in
@@ -632,7 +631,6 @@
             file_print_sources_html file buf
           else begin
             Printf.bprintf buf "%d sources:\n" (List.length srcs);
-          let counter = ref 0 in
           let print_source c =
                   Printf.bprintf buf "  [%4d] " (client_num c);
                   client_bprint c buf;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonGlobals.ml ./src/daemon/common/commonGlobals.ml
--- ./src/daemon/common/commonGlobals.ml	2005-12-06 20:34:04.000000000 +0100
+++ ./src/daemon/common/commonGlobals.ml	2005-12-13 14:02:18.000000000 +0100
@@ -475,7 +475,7 @@
       (Printexc2.to_string e) !messages_log;
 
   while (Fifo.length chat_message_fifo) > !!html_mods_max_messages do
-    let foo = Fifo.take chat_message_fifo in ()
+    ignore(Fifo.take chat_message_fifo)
   done
 let last_message_log = ref 0
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonGraphics.gd.ml ./src/daemon/common/commonGraphics.gd.ml
--- ./src/daemon/common/commonGraphics.gd.ml	2005-10-11 18:56:33.000000000 +0200
+++ ./src/daemon/common/commonGraphics.gd.ml	2005-12-13 13:58:11.000000000 +0100
@@ -242,7 +242,6 @@
   let my_x = (xbr()) in
   let my_x2 = (xbs()) in
   let my_y = (ybb()) in
-  let datas g n = List.nth (List.rev (Fifo.to_list g)) n in
   let fx x = int_of_float((float_of_int my_x) -. (((float_of_int x) /. (x_fdivisions())) *. (float_of_int my_x2))) in
   (* and vtext n = (string_of_int (int_of_float((float_of_int(n))*. vx ))) in *)
   let basetime = Unix.gettimeofday () in
@@ -265,7 +264,6 @@
   let my_x = (xbr()) in
   let my_x2 = (xbs()) in
   let my_y = (ybb()) in
-  let my_y2 = (ybs()) in
   let datas g n = List.nth (List.rev (Fifo.to_list g)) n in
   let fx x = int_of_float((float_of_int my_x) -. (((float_of_int x) /. (fxgdivisions())) *. (float_of_int my_x2)))
   and y_c1 n = (my_y - (int_of_float(float_of_int(datas g n) *. (vdt_m g))))
@@ -300,7 +298,6 @@
   let my_x = (xbr()) in
   let my_x2 = (xbs()) in
   let my_y = (ybb() - (ybs() / 2)) in
-  let my_y2 = (ybs() / 2) in
   let datas g n = List.nth (List.rev (Fifo.to_list g)) n in
   let fx x = int_of_float((float_of_int my_x) -. (((float_of_int x) /. (fxgdivisions())) *. (float_of_int my_x2)))
   and y_c1 n = (my_y - (int_of_float(float_of_int(datas g n) *. (vdt_stack g))))
@@ -335,7 +332,6 @@
   let my_x = (xbr()) in
   let my_x2 = (xbs()) in
   let my_y = (ybb() - (ybs() / 2)) in
-  let my_y2 = (ybs() / 2) in
   let datas g n = List.nth (List.rev (Fifo.to_list g)) n in
   let fx x = int_of_float((float_of_int my_x) -. (((float_of_int x) /. (fxgdivisions())) *. (float_of_int my_x2)))
   and y_c1 n = (my_y + (int_of_float(float_of_int(datas g n) *. (vdt_stack g))))
@@ -368,10 +364,8 @@
 
 
 let draw_mean_line mypic g my_color gcolor =
-  let my_x = (xbr())
-  and my_x2 = (xbs())
-  and my_y = (ybb())
-  and my_y2 = (ybs()) in
+  let my_x2 = (xbs())
+  and my_y = (ybb()) in
   let my_sum gl = List.fold_left (+) 0 (Fifo.to_list gl) in
   let meanx() = ((float_of_int (my_sum g)) /. (float_of_int ((Fifo.length g)))) in
   let ypos = (my_y - (int_of_float((meanx()) *. (vdt_m g)))) in
@@ -385,13 +379,10 @@
 (
   let g_y = win_y() in
   (* set colors *)
-  let white = mypic#colors#white in
   let black = mypic#colors#black in
   let red = mypic#colors#red in
   let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
   let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
-  let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
 
   (* draw graph *)
   draw_borders mypic black;
@@ -446,7 +437,6 @@
 let do_draw_pic ttl vl hl gdown gup =
   (* init pic *)
 (
-  let g_x = win_x() in
   let g_y = win_y() in
   let mypic = Gd.create ~x:(win_x()) ~y:g_y in
 
@@ -508,10 +498,8 @@
   (* set colors *)
   let white = mypic#colors#white in
   let black = mypic#colors#black in
-  let red = mypic#colors#red in
   let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
   let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
   let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
 
   if !!html_mods_vd_gfx_transparent then
@@ -547,9 +535,7 @@
   let white = mypic#colors#white in
   let black = mypic#colors#black in
   let red = mypic#colors#red in
-  let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
   let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
   let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
 
   if !!html_mods_vd_gfx_transparent then
@@ -577,7 +563,6 @@
 let do_draw_h_pic ttl vl hl gdown gup =
   (* init pic *)
 (
-  let g_x = win_x() in
   let g_y = win_y() in
   let mypic = Gd.create ~x:(win_x()) ~y:g_y in
 
@@ -626,10 +611,8 @@
   (* set colors *)
   let white = mypic#colors#white in
   let black = mypic#colors#black in
-  let red = mypic#colors#red in
   let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
   let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
   let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
 
   if !!html_mods_vd_gfx_transparent then
@@ -665,9 +648,7 @@
   let white = mypic#colors#white in
   let black = mypic#colors#black in
   let red = mypic#colors#red in
-  let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
   let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
   let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
 
   if !!html_mods_vd_gfx_transparent then
@@ -707,13 +688,7 @@
   Gd.create ~x:g_x ~y:g_y in
 
   (* set colors *)
-  let white = mypic#colors#white in
   let black = mypic#colors#black in
-  let red = mypic#colors#red in
-  let green = mypic#colors#resolve ~red:0 ~blue:0 ~green:255 in
-  let darkgrey = mypic#colors#resolve ~red:128 ~blue:128 ~green:128 in
-  let darkgreen = mypic#colors#resolve ~red:0 ~blue:0 ~green:128 in
-  let darkred = mypic#colors#resolve ~red:128 ~blue:0 ~green:0 in
   (* draw graph *)
   draw_tag mypic title gdown gup black ;
   (if !!html_mods_vd_gfx_tag_png then
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonInteractive.ml ./src/daemon/common/commonInteractive.ml
--- ./src/daemon/common/commonInteractive.ml	2005-12-10 00:23:40.000000000 +0100
+++ ./src/daemon/common/commonInteractive.ml	2005-12-13 13:49:47.000000000 +0100
@@ -82,7 +82,6 @@
     Buffer.contents buf
 
 let file_commited_name incoming_dir file =
-  let network = file_network file in
   let best_name = file_best_name file in
   (try Unix2.safe_mkdir incoming_dir with _ -> ());
   let new_name =
@@ -300,7 +299,6 @@
         done_files =:= file :: !!done_files;
         update_file_state impl FileDownloaded;
         let file_name = file_disk_name file in
-        let file_id = Filename.basename file_name in
         ignore (CommonShared.new_shared "completed" 0 (
             file_best_name file ) file_name);
         (try mail_for_completed_file file with e ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonMultimedia.ml ./src/daemon/common/commonMultimedia.ml
--- ./src/daemon/common/commonMultimedia.ml	2005-11-19 18:19:45.000000000 +0100
+++ ./src/daemon/common/commonMultimedia.ml	2005-12-13 13:49:47.000000000 +0100
@@ -269,7 +269,6 @@
 let rec next_ogg_stream ic ogg_infos str stream_number =
   let pos = pos_in ic in
   page_seek ic str pos;
-  let header_start_pos = (pos_in ic - 4) in
   let pos = pos_in ic in
 (*
   let serial_number = String.create 4 in
@@ -303,12 +302,7 @@
   let s = String.create sizeof_packet in
   really_input ic s 0 sizeof_packet;
   let codec = String.lowercase (String.sub s 0 4) in
-  let size = read32 (String.sub s 4 4) in
   let time_unit = read64 (String.sub s 8 8) in
-  let sample_per_unit = read64 (String.sub s 16 8) in
-  let default_len = read32 (String.sub s 24 4) in
-  let buffer_size = read32 (String.sub s 28 4) in
-  let bits_per_sample = read16 (String.sub s 32 2) in
   let video_width =
     if sizeof_packet >= sizeof_old_ogm_packet
       then read32 (String.sub s 36 4)
@@ -335,12 +329,7 @@
   let s = String.create sizeof_packet in
   really_input ic s 0 sizeof_packet;
   let codec = get_audio_codec (String.sub s 0 4) in
-  let size = read32 (String.sub s 4 4) in
-  let time_unit = read64 (String.sub s 8 8) in
   let sample_per_unit = read64 (String.sub s 16 8) in
-  let default_len = read32 (String.sub s 24 4) in
-  let buffer_size = read32 (String.sub s 28 4) in
-  let bits_per_sample = read16 (String.sub s 32 2) in
   let channels =
     if sizeof_packet >= sizeof_old_ogm_packet
       then read16 (String.sub s 36 2)
@@ -407,13 +396,9 @@
   let vrev = int_of_char s.[2] in
   let codec = Printf.sprintf "theora-%d.%d.%d" vmaj vmin vrev in
   (* multiply by 16 to get the actual frame width in pixels *)
-  let fmbw = read16B (String.sub s 3 2) lsl 4 in
   (* multiply by 16 to get the actual frame height in pixels *)
-  let fmbh = read16B (String.sub s 5 2) lsl 4 in
   let picw = read24B (String.sub s 7 3)  in
   let pich = read24B (String.sub s 10 3) in
-  let picx = int_of_char s.[13] in
-  let picy = int_of_char s.[14] in
   let frn = read32B (String.sub s 15 4) in
   let frd = read32B (String.sub s 19 4) in
   let sample_rate = frn /. frd in
@@ -535,34 +520,7 @@
                 
                 ignore (input_string4 ic);
                 
-                
-                let dwMicroSecPerFrame = input_int32 ic in
-                let dwMaxBytesPerSec = input_int32 ic in
-                let dwPaddingGranularity = input_int32 ic in
-                let dwFlags = input_int32 ic in
-                let dwTotalFrames = input_int32 ic in
-                let dwInitialFrames = input_int32 ic in
-                let dwStreams = input_int32 ic in
-                let dwSuggestedBufferSize = input_int32 ic in              
-                let dwWidth = input_int32 ic in
-                let dwHeight = input_int32 ic in
-
-(*
-              print_int32 "dwMicroSecPerFrame" dwMicroSecPerFrame ;
-              print_int32 "dwMaxBytesPerSec" dwMaxBytesPerSec ;
-              print_int32 "dwPaddingGranularity" dwPaddingGranularity ;
-              print_int32 "dwFlags" dwFlags ;
-              print_int32 "dwTotalFrames" dwTotalFrames ;
-              print_int32 "dwInitialFrames" dwInitialFrames ;
-              print_int32 "dwStreams" dwStreams ;
-              print_int32 "dwSuggestedBufferSize" dwSuggestedBufferSize ;
-              print_int32 "dwWidth" dwWidth;
-              print_int32 "dwHeight" dwHeight;
-              *)
-                
                 seek_in ic ((Int64.to_int pos) + main_header_len + 20);
-                let s = input_string4 ic in
-(*              lprint_string4 "LIST:" s; *)
                 let pos_in = 
                   pos ++ Int64.of_int (main_header_len + 24) in
                 let last_pos = pos_in ++ size2 in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonOptions.ml ./src/daemon/common/commonOptions.ml
--- ./src/daemon/common/commonOptions.ml	2005-12-03 17:20:26.000000000 +0100
+++ ./src/daemon/common/commonOptions.ml	2005-12-13 13:49:47.000000000 +0100
@@ -1536,7 +1536,6 @@
 the kill function of a GUI or CTRL+C.\n\n"
 
 let _ =
-  let in_hook = ref false in
   option_hook global_login (fun _ ->
       let len = String.length !!global_login in
       let prefix = "mldonkey_" in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonSources.ml ./src/daemon/common/commonSources.ml
--- ./src/daemon/common/commonSources.ml	2005-10-25 11:42:35.000000000 +0200
+++ ./src/daemon/common/commonSources.ml	2005-12-13 13:49:47.000000000 +0100
@@ -524,7 +524,6 @@
 
         let nsources_per_queue = Array.create nqueues 0 in
         let nready_per_queue = Array.create nqueues 0 in
-        let nready_throttled_per_queue = Array.create nqueues 0 in
         let nindirect_per_queue = Array.create nqueues 0 in
         let ninvalid_per_queue = Array.create nqueues 0 in
         let nall = ref 0 in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonSwarming2.ml ./src/daemon/common/commonSwarming2.ml
--- ./src/daemon/common/commonSwarming2.ml	2005-11-12 12:20:20.000000000 +0100
+++ ./src/daemon/common/commonSwarming2.ml	2005-12-13 13:49:47.000000000 +0100
@@ -1061,7 +1061,6 @@
 (*************************************************************************)
 
 let verify t chunks num begin_pos end_pos =
-  let file = t.t_file in
   file_verify t.t_file chunks.(num) begin_pos end_pos
 
 (*************************************************************************)
@@ -1179,9 +1178,6 @@
                                   EmptyBlock -> set_bitmap_0 s i
                                 | PartialBlock _ ->  set_bitmap_1 s i
                                 | CompleteBlock ->
-                                    let block_begin = t.t_block_size *.. i in
-                                    let block_end = block_begin ++ t.t_block_size in
-                                    let block_end = min block_end s.s_size in
                                     let block_begin = compute_block_begin s i in
                                     let block_end = compute_block_end s i in
                                     add_file_downloaded None s (block_begin -- block_end);
@@ -1835,7 +1831,6 @@
       and iter_partial up =
         let n = up.up_npartial in
         if n = 0 then raise Not_found;
-        let t = up.up_t in
         let b, block_begin, block_end = up.up_partial_blocks.(n-1) in
         let t = up.up_t in
         let s = t.t_s in
@@ -2143,7 +2138,7 @@
               up.up_block <- None;
         );
 
-        let (b,block_begin,block_end) as result = select_block up in
+        let (b,block_begin,block_end) (* as result *) = select_block up in
         let num = b.block_num in
         s.s_nuploading.(num) <- s.s_nuploading.(num) + 1;
         up.up_block <- Some b;
@@ -2747,7 +2742,7 @@
   are correctly associed. *)
     with Not_found -> ());
 
-  let set_bitmap =
+  let _ =
     let mtime = try file_mtime t.t_file with _ -> 0. in
     let old_mtime =
       try
@@ -3146,8 +3141,6 @@
 
           incr counter
       ) swarmers_by_name;
-      let block_storage = 64 * !nblocks in
-
       Printf.bprintf buf "  Swarmers: %d\n" !counter;
       Printf.bprintf buf "    nchunks: %d nblocks: %d nranges: %d\n"
         !nchunks !nblocks !nranges;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonUploads.ml ./src/daemon/common/commonUploads.ml
--- ./src/daemon/common/commonUploads.ml	2005-11-19 17:11:37.000000000 +0100
+++ ./src/daemon/common/commonUploads.ml	2005-12-13 13:49:47.000000000 +0100
@@ -241,11 +241,9 @@
 let shareds_by_id = Hashtbl.create 13
 
 let add_by_uid uid sh =
-  let urn = Uid.to_string uid in
   Hashtbl.add shareds_by_uid uid sh
 
 let find_by_uid uid =
-  let urn = Uid.to_string uid in
   Hashtbl.find shareds_by_uid uid
 
 module SharedFilesIndex = IndexedSharedFiles.MakeIndex (struct
@@ -522,7 +520,6 @@
     | ED2K ->
         let size = info.shared_size in
         let chunk_size = ed2k_block_size  in
-        let nhashes = Int64.to_int (size // chunk_size) + 1 in
         let rec iter pos hashes =
           if pos < size then
             try
@@ -543,7 +540,6 @@
           let list = List.rev hashes in
           let ed2k = md4_of_list list in
           let uid = Uid.create (Ed2k (ed2k)) in
-          let urn = Uid.to_string uid in
           info.shared_md4s <- Array.of_list list;
           info.shared_uids <- uid :: info.shared_uids;
           IndexedSharedFiles.update_result sh.shared_info info;
@@ -559,7 +555,6 @@
 
           let size = info.shared_size in
           let chunk_size = tiger_block_size in
-          let nhashes = Int64.to_int (size // chunk_size) + 1 in
           let rec iter pos hashes =
             if pos < size then
                 CommonHasher.compute_tiger info.shared_fullname
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/commonWeb.ml ./src/daemon/common/commonWeb.ml
--- ./src/daemon/common/commonWeb.ml	2005-11-21 01:13:15.000000000 +0100
+++ ./src/daemon/common/commonWeb.ml	2005-12-13 13:49:47.000000000 +0100
@@ -220,7 +220,6 @@
                   | _ -> ())
             in
             TcpBufferedSocket.set_rtimeout sock 30.;
-            let to_read = ref [] in
             set_reader sock (cut_messages (fun opcode s ->
                   if !verbose_redirector then lprintf_nl "[cWeb] redirector info received";
                   let module L = LittleEndian in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/giftDecoding.ml ./src/daemon/common/giftDecoding.ml
--- ./src/daemon/common/giftDecoding.ml	2003-11-20 17:43:14.000000000 +0100
+++ ./src/daemon/common/giftDecoding.ml	2005-12-13 13:49:47.000000000 +0100
@@ -86,10 +86,7 @@
         }
     | "addsource", _ ->
         let save = find_key "save" args in
-        let url = find_key "url" args in
-        let size = find_key "size" args in
         let hash = find_key "hash" args in
-        let user = find_key "user" args in
         Download_query ([save], int_of_string hash, false)
         
     | "transfer", Some num ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/guiDecoding.ml ./src/daemon/common/guiDecoding.ml
--- ./src/daemon/common/guiDecoding.ml	2005-12-06 20:34:04.000000000 +0100
+++ ./src/daemon/common/guiDecoding.ml	2005-12-13 13:49:47.000000000 +0100
@@ -392,7 +392,6 @@
 
 let get_result proto s pos =
   let num  = get_int s pos in
-  let net = get_int s (pos+4) in
   let names, pos = get_list get_string s (pos+8) in
   let uids, pos = 
     if proto < 27 then
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/common/guiEncoding.ml ./src/daemon/common/guiEncoding.ml
--- ./src/daemon/common/guiEncoding.ml	2005-11-28 15:32:28.000000000 +0100
+++ ./src/daemon/common/guiEncoding.ml	2005-12-13 13:49:47.000000000 +0100
@@ -960,7 +960,6 @@
         buf_opcode buf 57; buf_search buf_string proto buf s
     
     | Version s ->
-        let proto = proto.(58) in
         buf_opcode buf 58; buf_string buf s
     
     | GiftServerAttach _ -> assert false
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/driver/driverCommands.ml ./src/daemon/driver/driverCommands.ml
--- ./src/daemon/driver/driverCommands.ml	2005-12-06 20:34:04.000000000 +0100
+++ ./src/daemon/driver/driverCommands.ml	2005-12-13 14:02:59.000000000 +0100
@@ -347,7 +347,6 @@
         ), ":\t\t\t\t\t$bsave and kill the server$n";
 
     "add_url", Arg_two (fun kind url o ->
-        let buf = o.conn_buf in
         let v = (kind, 1, url) in
         if not (List.mem v !!web_infos) then
           web_infos =:=  v :: !!web_infos;
@@ -512,7 +511,7 @@
 (* rely on GC? *)
 
         while (Fifo.length chat_message_fifo) > !!html_mods_max_messages  do
-          let foo = Fifo.take chat_message_fifo in ()
+          ignore (Fifo.take chat_message_fifo)
         done;
 
         if use_html_mods o then Printf.bprintf buf "\\<div class=\\\"messages\\\"\\>";
@@ -862,7 +861,6 @@
     ), "<server numbers> :\t\t\tremove server (use arg 'all' for all servers)";
 
     "server_banner", Arg_one (fun num o ->
-        let buf = o.conn_buf in
         let num = int_of_string num in
         let s = server_find num in
         (match server_state s with
@@ -1074,7 +1072,6 @@
     [
 
     "nu", Arg_one (fun num o ->
-        let buf = o.conn_buf in
         let num = int_of_string num in
 
         if num > 0 then (* we want to disable upload for a short time *)
@@ -1217,14 +1214,12 @@
     ) , " :\t\t\t\tprint all networks";
 
     "enable", Arg_one (fun num o ->
-        let buf = o.conn_buf in
         let n = network_find_by_num (int_of_string num) in
         network_enable n;
         _s "network enabled"
     ) , " <num> :\t\t\t\tenable a particular network";
 
     "disable", Arg_one (fun num o ->
-        let buf = o.conn_buf in
         let n = network_find_by_num (int_of_string num) in
         network_disable n;
         _s "network disabled"
@@ -1243,7 +1238,6 @@
     [
 
     "forget", Arg_multiple (fun args o ->
-        let buf = o.conn_buf in
         let user = o.conn_user in
         begin
           match args with
@@ -1401,7 +1395,6 @@
     ), "<num> :\t\t\t\t$bfile to download$n";
 
     "force_download", Arg_none (fun o ->
-        let buf = o.conn_buf in
 	if !forceable_download = [] then
 	  begin
             let output = (if o.conn_output = HTML then begin
@@ -1457,7 +1450,6 @@
     "set", Arg_two (fun name value o ->
         try
           try
-            let buf = o.conn_buf in
             CommonInteractive.set_fully_qualified_options name value;
             Printf.sprintf "option %s value changed" name
 
@@ -1487,7 +1479,6 @@
     ), "<option_name> <option_value> :\t$bchange option value$n";
 
     "save", Arg_multiple (fun args o ->
-        let buf = o.conn_buf in
         match args with
 	  ["options"] -> DriverInteractive.save_config (); _s "options saved"
 	| ["sources"] -> CommonComplexOptions.save_sources (); _s "sources saved"
@@ -2819,7 +2810,6 @@
         ), "<link> :\t\t\t\tdownload ed2k, sig2dat, torrent or other link";
 
     "dllinks", Arg_one (fun arg o ->
-        let buf = o.conn_buf in
 
         let file = File.to_string arg in
         let lines = String2.split_simplify file '\n' in
@@ -2874,7 +2864,6 @@
     ), ":\t\t\t\t\tdump current log state to console";
 
     "ansi", Arg_one (fun arg o ->
-        let buf = o.conn_buf in
         let b = bool_of_string arg in
         if b then begin
             o.conn_output <- ANSI;
@@ -2892,7 +2881,6 @@
     "<width> <height> :\t\t\tset terminal width and height (devel)";
 
     "stdout", Arg_one (fun arg o ->
-        let buf = o.conn_buf in
         let b = bool_of_string arg in
         set_logging b;
 	if b then
@@ -2984,8 +2972,6 @@
      ), ":\t\t\t\tclear log_file";
 
     "html_mods", Arg_none (fun o ->
-        let buf = o.conn_buf in
-
         if !!html_mods then
           begin
             html_mods =:= false;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/driver/driverControlers.ml ./src/daemon/driver/driverControlers.ml
--- ./src/daemon/driver/driverControlers.ml	2005-11-21 20:29:39.000000000 +0100
+++ ./src/daemon/driver/driverControlers.ml	2005-12-13 13:49:47.000000000 +0100
@@ -447,8 +447,6 @@
 
 let user_reader o telnet sock nread =
   let b = TcpBufferedSocket.buf sock in
-  let end_pos = b.pos + b.len in
-  let new_pos = end_pos - nread in
   let rec iter () =
     if b.len > 0 then
       let c = b.buf.[b.pos] in
@@ -839,7 +837,7 @@
         let file = open_in theme_page in
         let size = (Unix.stat theme_page).Unix.st_size in
         let s = String.make size ' ' in
-        let ok = really_input file s 0 size in
+        let _ = really_input file s 0 size in
         close_in file; s
 
 let add_simple_commands buf =
@@ -1530,6 +1528,6 @@
       default = http_handler http_options;
     } in
   option_hook allowed_ips (fun _ -> config.addrs <- !!allowed_ips);
-  let sock = find_port "http server" !!http_bind_addr http_port
+  let _ = find_port "http server" !!http_bind_addr http_port
       (Http_server.handler config) in
   config.port <- !!http_port
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/driver/driverInterface.ml ./src/daemon/driver/driverInterface.ml
--- ./src/daemon/driver/driverInterface.ml	2005-11-28 15:31:40.000000000 +0100
+++ ./src/daemon/driver/driverInterface.ml	2005-12-13 13:49:47.000000000 +0100
@@ -384,7 +384,6 @@
 let gui_initialize gui = 
 
   gui.gui_initialized <- true;
-  let connecting = ref true in
   networks_iter_all (fun n ->
       gui_send gui (Network_info (network_info n)));
   gui_send gui (Console (DriverControlers.text_of_html !!motd_html));
@@ -502,7 +501,7 @@
           List.iter (fun file ->
               
               List.iter (fun s ->
-                  let section = section_name s in
+                  let _ = section_name s in
                   List.iter (fun o ->
                       gui_send gui (
                         P.Add_plugin_option (r.network_name, o)
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/driver/driverLink.ml ./src/daemon/driver/driverLink.ml
--- ./src/daemon/driver/driverLink.ml	2005-05-28 13:19:42.000000000 +0200
+++ ./src/daemon/driver/driverLink.ml	2005-12-13 13:49:47.000000000 +0100
@@ -316,7 +316,6 @@
                     List.iter (fun file ->
                         let best_name = file_best_name file in
                         let disk_name = file_disk_name file in
-                        let ext = Filename2.last_extension best_name in
                         lprintf "Adding %s\n" best_name;
                         let file_size = Int64.to_float (file_size file) in
                         let file_downloaded = 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/daemon/driver/driverMain.ml ./src/daemon/driver/driverMain.ml
--- ./src/daemon/driver/driverMain.ml	2005-12-02 13:08:26.000000000 +0100
+++ ./src/daemon/driver/driverMain.ml	2005-12-13 14:04:19.000000000 +0100
@@ -264,8 +264,7 @@
       Options.load users_ini;
     with e ->
         lprintf_nl "Exception %s during options load" (Printexc2.to_string e);
-        exit 70;
-        ());
+        exit 70);
 
   (* Here, we try to update options when a new version of mldonkey is
      used. For example, we can add new web_infos... *)
@@ -316,8 +315,8 @@
           exit 0), _s " : print version number and exit";
       "-exit", Arg.Unit (fun _ -> exit 0), ": exit immediatly";
       "-format", Arg.String (fun file ->
-          let format = CommonMultimedia.get_info file in
-          ()), _s  " <filename> : check file format";
+          ignore (CommonMultimedia.get_info file)),
+          _s  " <filename> : check file format";
       "-test_ip", Arg.String (fun ip ->
           lprintf_nl "%s = %s" ip (Ip.to_string (Ip.of_string ip));
           exit 0), _s "<ip> : undocumented";
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/im/imProtocol.ml ./src/im/imProtocol.ml
--- ./src/im/imProtocol.ml	2005-10-10 18:22:25.000000000 +0200
+++ ./src/im/imProtocol.ml	2005-12-13 14:10:19.000000000 +0100
@@ -96,9 +96,9 @@
       impl_protocol_val = v;
       impl_protocol_num = !counter;
       op_protocol_account_from_option = (fun s -> 
-        failwith "op_protocol_account_from_option not implemented for %s" name);
+        failwith (Printf.sprintf "op_protocol_account_from_option not implemented for %s" name));
       op_protocol_new_account = (fun s -> 
-        failwith "op_protocol_new_account not implemented for %s" name);
+        failwith (Printf.sprintf "op_protocol_new_account not implemented for %s" name));
       op_protocol_available_status = (fun s -> 
           [Online_available])
     }  in
